// http封装库
import { getEnvConfig } from '../utils';
import axios from 'axios';

// axios config
const { host } = getEnvConfig();
const instance = axios.create({
    baseURL: host,
    timeout: 240000,
    headers: {
        'content-type': 'application/json',
        'Accept': 'application/json',
    }
});

// 响应拦截器
instance.interceptors.response.use((res) => {
    return res.data;
}, function (err) {
    return Promise.reject(err);
});

export const postRequest = (url: string, params = {}, config = null) => {
    const myConfig = {};
    if (config) {
        Object.assign(myConfig, config);
    }
    params = Object.assign({}, params);

    return instance.post(url, params, myConfig).then(res => {
        return res;
    }).catch(err => {
        return err;
    });
}

export const getRequest = (url: string, params = {}, config = null) => {
    const myConfig = Object.assign({}, { params: Object.assign({}, params) });
    if (config) {
        Object.assign(myConfig, config);
    }

    return instance.get(url, myConfig).then(res => {
        return res;
    }).catch(err => {
        return err;
    });
}